Radeon 7700 (Drivers Please)

Questions about hardware and drivers
Forum rules
Before you post please read this

Radeon 7700 (Drivers Please)

Postby lunaquas on Wed Jul 11, 2012 10:44 pm

Hi All,

I running Linux Mint Debian Edition and have the Radeon 7700 video card. Kernel 3.2.0-2-amd64 does not have drivers for this card. I've been looking online but am not coming up with much from the proprietary world and wonder if anyone knows of an open source option that will work. All help appreciated. BTW- here is the output from lspci:

root@polaris:~# lspci -k|grep -A3 VGA
01:00.0 VGA compatible controller: ATI Technologies Inc Device 683d
Subsystem: Dell Device 2304
01:00.1 Audio device: ATI Technologies Inc Device aab0
Subsystem: Dell Device aab0

Thanks Much!
lunaquas
Level 1
Level 1
 
Posts: 4
Joined: Wed Jul 11, 2012 9:14 pm

Linux Mint is funded by ads and donations.
 

Re: Radeon 7700 (Drivers Please)

Postby Sonsum on Fri Jul 13, 2012 2:37 pm

From what I've found, it seems that AMD has a new version of catalyst out that now supports your card.

installation instructions are here (http://www.upubuntu.com/2012/03/how-to-install-amd-ati-catalyst-123.html) and while it mentions Ubuntu, there does seem to be anything Ubuntu-specific about the install instructions.
Sonsum
Level 3
Level 3
 
Posts: 111
Joined: Fri Jun 24, 2011 9:03 pm

Re: Radeon 7700 (Drivers Please)

Postby eanfrid on Fri Jul 13, 2012 3:47 pm

You will also need at least a 3.4 Linux kernel to fully support HD7xxx hardware. LMDE, Ubuntu 12.04 and LM13 are all shipped with 3.2.
Main desktop: Debian GNU/Linux Wheezy 64bit - MATE 1.8.1
(i5 2400@3.7GHz - 16GB DDR3 - HD6770 w/radeon driver - SSD+RAID1)
Safer than Dropbox
User avatar
eanfrid
Level 7
Level 7
 
Posts: 1871
Joined: Mon Apr 30, 2012 2:49 am
Location: FR

Re: Radeon 7700 (Drivers Please)

Postby Sonsum on Fri Jul 13, 2012 6:36 pm

This thread has a useful post on compiling a 3.4 kernel http://forums.linuxmint.com/viewtopic.php?f=190&t=102644
Sonsum
Level 3
Level 3
 
Posts: 111
Joined: Fri Jun 24, 2011 9:03 pm

Re: Radeon 7700 (Drivers Please)

Postby jasmineaura on Tue Sep 11, 2012 2:14 am

At your own risk if you choose to follow this. How I managed to get fglrx 12.6 working on LMDE 201204 (w/ UP3? -- updated without "incoming"). Requires at least 3.4.x liquorix kernel.
viewtopic.php?f=191&t=112234
User avatar
jasmineaura
Level 2
Level 2
 
Posts: 60
Joined: Thu Mar 08, 2012 3:38 am
Location: Cairo, Egypt


Return to Hardware Support

Who is online

Users browsing this forum: No registered users and 5 guests